> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trytikt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Pause a post's harvest

> Stop harvesting a post: TIKT no longer collects its new reactions and comments. Already paused: nothing changes. Sends `post.harvest_paused`. Requires a **Read and write** key.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/posts/{id}/pause
openapi: 3.1.0
info:
  title: TIKT API
  version: '2026-10-01'
  description: >-
    Read your leads with their verdict criterion by criterion, and answer TIKT:
    file, discard, exclude, pause, track. Server to server only: never call it
    from a browser.
servers:
  - url: https://api.trytikt.com
security:
  - apiKey: []
tags:
  - name: workspace
  - name: leads
  - name: lists
  - name: posts
  - name: tracked-profiles
  - name: icp
  - name: analytics
  - name: events
  - name: webhook-endpoints
  - name: workflows
  - name: tools
paths:
  /v1/posts/{id}/pause:
    post:
      tags:
        - posts
      summary: Pause a post's harvest
      description: >-
        Stop harvesting a post: TIKT no longer collects its new reactions and
        comments. Already paused: nothing changes. Sends `post.harvest_paused`.
        Requires a **Read and write** key.
      operationId: pauseAPostHarvest
      parameters:
        - name: id
          in: path
          required: true
          description: The post's id.
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PostWithHarvest'
        '400':
          $ref: '#/components/responses/E400'
        '401':
          $ref: '#/components/responses/E401'
        '403':
          $ref: '#/components/responses/E403'
        '404':
          $ref: '#/components/responses/E404'
        '409':
          $ref: '#/components/responses/E409'
        '413':
          $ref: '#/components/responses/E413'
        '422':
          $ref: '#/components/responses/E422'
        '429':
          $ref: '#/components/responses/E429'
        '500':
          $ref: '#/components/responses/E500'
        '503':
          $ref: '#/components/responses/E503'
      security:
        - apiKey: []
components:
  schemas:
    PostWithHarvest:
      type: object
      properties:
        id:
          type: string
          pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
        linkedin_post_id:
          type: string
        urn:
          type: string
        url:
          type: string
        author:
          type: object
          properties:
            type:
              type: string
            name:
              anyOf:
                - type: string
                - type: 'null'
            public_id:
              anyOf:
                - type: string
                - type: 'null'
            linkedin_url:
              anyOf:
                - type: string
                - type: 'null'
            avatar_url:
              anyOf:
                - type: string
                - type: 'null'
          required:
            - type
            - name
            - public_id
            - linkedin_url
            - avatar_url
          additionalProperties: false
        text:
          anyOf:
            - type: string
            - type: 'null'
        hashtags:
          type: array
          items:
            type: string
        media_type:
          anyOf:
            - type: string
            - type: 'null'
        media:
          type: object
          properties:
            images:
              type: array
              items:
                type: string
            videos:
              type: array
              items:
                type: string
          required:
            - images
            - videos
          additionalProperties: false
        external_links:
          type: array
          items:
            type: string
        is_repost:
          type: boolean
        posted_at:
          anyOf:
            - type: string
              pattern: ^\d{4}-\d\d-\d\dT\d\d:\d\d:\d\dZ$
            - type: 'null'
        counters:
          type: object
          properties:
            reactions:
              anyOf:
                - type: integer
                - type: 'null'
            comments:
              anyOf:
                - type: integer
                - type: 'null'
            checked_at:
              anyOf:
                - type: string
                  pattern: ^\d{4}-\d\d-\d\dT\d\d:\d\d:\d\dZ$
                - type: 'null'
          required:
            - reactions
            - comments
            - checked_at
          additionalProperties: false
        tracking_status:
          type: string
        source:
          type: string
        kol:
          $ref: '#/components/schemas/TrackedProfileSummary'
        console_url:
          type: string
        harvest:
          type: object
          properties:
            state:
              type: string
            paused:
              type: boolean
            excluded_reason:
              anyOf:
                - type: string
                - type: 'null'
          required:
            - state
            - paused
            - excluded_reason
          additionalProperties: false
        performance_vs_usual:
          anyOf:
            - type: number
            - type: 'null'
        yield:
          type: object
          properties:
            people_captured:
              type: integer
            leads_at_threshold:
              type: integer
            avg_score_at_threshold:
              anyOf:
                - type: number
                - type: 'null'
          required:
            - people_captured
            - leads_at_threshold
            - avg_score_at_threshold
          additionalProperties: false
      required:
        - id
        - linkedin_post_id
        - urn
        - url
        - author
        - text
        - hashtags
        - media_type
        - media
        - external_links
        - is_repost
        - posted_at
        - counters
        - tracking_status
        - source
        - kol
        - console_url
        - harvest
        - performance_vs_usual
        - yield
      additionalProperties: false
    TrackedProfileSummary:
      type: object
      properties:
        id:
          type: string
          pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
        name:
          anyOf:
            - type: string
            - type: 'null'
        relationship:
          anyOf:
            - type: string
            - type: 'null'
        linkedin_url:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - id
        - name
        - relationship
        - linkedin_url
      additionalProperties: false
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              enum:
                - parametre_inconnu
                - parametre_invalide
                - corps_invalide
                - curseur_invalide
                - cle_absente
                - cle_invalide
                - cle_revoquee
                - cle_de_lecture
                - introuvable
                - methode_non_permise
                - limite_atteinte
                - corps_trop_gros
                - refus
                - trop_de_requetes
                - erreur_interne
                - indisponible
            message:
              type: string
            status:
              type: integer
            request_id:
              anyOf:
                - type: string
                - type: 'null'
            details:
              type: object
              additionalProperties: true
          required:
            - code
            - message
            - status
            - request_id
          additionalProperties: false
      required:
        - error
      additionalProperties: false
  responses:
    E400:
      description: Error 400.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    E401:
      description: Error 401.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    E403:
      description: Error 403.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    E404:
      description: Error 404.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    E409:
      description: Error 409.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    E413:
      description: Error 413.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    E422:
      description: Error 422.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    E429:
      description: Error 429.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    E500:
      description: Error 500.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    E503:
      description: Error 503.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: >-
        Your API key, created in Settings › API: `Authorization: Bearer
        tikt_live_…`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.